Public Class ClippingsForm

    Private _Max_number_of_clippings As Integer = 10

    Private Sub DeleteToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PasteToolStripMenuItem.Click
        If ClippingListBox.SelectedIndex >= 0 Then
            ClippingListBox.Items.RemoveAt(ClippingListBox.SelectedIndex)
        End If
    End Sub

    Private Sub AddToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CutToolStripMenuItem.Click
        If My.Computer.Clipboard.ContainsText Then
            ClippingListBox.Items.Insert(0, My.Computer.Clipboard.GetText())
            If ClippingListBox.Items.Count() > _Max_number_of_clippings Then
                ClippingListBox.Items.RemoveAt(_Max_number_of_clippings)
            End If
            If ClippingListBox.Items.Count() >= 0 Then
                My.Computer.Clipboard.SetText(ClippingListBox.Items.Item(0))
                ClippingListBox.SetSelected(0, True)
            End If
        Else
            Dim msg As String
            Dim title As String
            Dim style As MsgBoxStyle
            Dim response As MsgBoxResult
            msg = "Clippings  does not support non-text data"   ' Define message.
            style = MsgBoxStyle.DefaultButton1 Or _
               MsgBoxStyle.Information Or MsgBoxStyle.OkOnly
            title = "Clippings: Important information"   ' Define title.
            ' Display message.
            response = MsgBox(msg, style, title)
        End If
    End Sub

    Private Sub CopyToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CopyToolStripMenuItem.Click
        If ClippingListBox.SelectedIndex >= 0 Then
            My.Computer.Clipboard.SetText(ClippingListBox.Items.Item(ClippingListBox.SelectedIndex))
        End If
    End Sub

    Private Sub EraseAllToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles EraseAllToolStripMenuItem.Click
        ClippingListBox.Items.Clear()
    End Sub

    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Close()
    End Sub

    Private Sub AboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem.Click
        Dim msg As String
        Dim title As String
        Dim style As MsgBoxStyle
        Dim response As MsgBoxResult
        msg = "Clippings (C) 2006 Petr Krysl"   ' Define message.
        style = MsgBoxStyle.DefaultButton1 Or _
           MsgBoxStyle.Information Or MsgBoxStyle.OkOnly
        title = "About Clippings"   ' Define title.
        ' Display message.
        response = MsgBox(msg, style, title)
        If response = MsgBoxResult.Yes Then   ' User chose Yes.
            ' Perform some action.
        Else
            ' Perform some other action.
        End If
    End Sub

    Private Sub ClippingListBox_KeyPress(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyPressEventArgs) Handles ClippingListBox.KeyPress
        Dim i As Int32
        i = CInt(Char.GetNumericValue(e.KeyChar))
        If i >= 0 And i < ClippingListBox.Items.Count() Then
            ClippingListBox.SetSelected(i, True)
        End If
    End Sub

    
    Private Sub ContentsToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ContentsToolStripMenuItem.Click
        Dim help_form As FormHelp
        help_form = New FormHelp
        'help_form.TopMost = True
        help_form.HelpTextBox.SelectAll()
        help_form.HelpTextBox.DeselectAll()
        help_form.Show()
        help_form.Activate()
    End Sub

End Class
